> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/nat-gateway/deletenatgateway.md).

# DeleteNatGateway

## 1. API Description

This API (DeleteNatGateway) is used to delete a specified NAT gateway.

{% hint style="info" %}
**Notes**

* This interface is asynchronous. The request to delete a NAT gateway returns immediately after it is sent successfully, but the operation is not completed at that point. The NAT gateway status can be queried by calling the [DescribeNatGateways](/api-reference/zec/nat-gateway/describenatgateways.md) interface. When the NAT gateway status changes to `RECYCLED`, it has entered the recycle bin and the resource will eventually be destroyed.
* After the deletion, the resource may be retained for a period of time with the status `RECYCLED`, and it can be restored through the [RenewNatGateway](/api-reference/zec/nat-gateway/renewnatgateway.md) interface.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                         |
| -------------- | -------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| natGatewayId   | Yes      | String | <p>NAT gateway ID.</p><p>It can be obtained by calling <a href="/api-reference/zec/nat-gateway/describenatgateways.md">DescribeNatGateways</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete a specified NAT gateway.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteNatGateway
<Common Request Params>

Request:
{
  "natGatewayId" : "sample"
}

Response:
{
  "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453",
  "response": {
    "requestId": "TC1748D3E-452D-4F74-8485-7AA73718E453"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
